DOM::CSSValue class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSSValue Class Reference

The `CSSValue` interface represents a simple or a complexe value. More...

`#include <css_value.h>`

Inheritance diagram for DOM::CSSValue:

[legend]
List of all members.

## Public Types
enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3 }
| An integer indicating which type of unit applies to the value. More...
## Public Member Functions
| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
| A string representation of the current value.
void | setCssText (const DOM::DOMString &)
| see cssText
unsigned short | cssValueType () const
| A code defining the type of the value as defined above.
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const
## Protected Attributes
CSSValueImpl * | impl

## Detailed Description

The `CSSValue` interface represents a simple or a complexe value.

Definition at line 242 of file css_value.h.

## Member Enumeration Documentation

enum DOM::CSSValue::UnitTypes

| An integer indicating which type of unit applies to the value. All CSS2 constants are not supposed to be required by the implementation since all CSS2 interfaces are optionals. Reimplemented in DOM::CSSPrimitiveValue. Definition at line 260 of file css_value.h.

## Member Function Documentation

DOMString CSSValue::cssText | ( |  | ) | const

| A string representation of the current value. Definition at line 202 of file css_value.cpp.

void CSSValue::setCssText | ( | const DOM::DOMString & |  | ) |

  | see cssText Exceptions:
  CSSException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.
Definition at line 208 of file css_value.cpp.

unsigned short CSSValue::cssValueType | ( |  | ) | const

| A code defining the type of the value as defined above. Definition at line 214 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:46 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001